import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class M1ABRAMS here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class M1ABRAMS extends Animal
{
    private int counter = 36;

    /**
     * Act - do whatever the M1ABRAMS wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        key();
        space();
        collision();
        if (counter > 0 )
        {
            counter --;
        }
    }

    private void collision()
    {
        if (canSee(ArmadilloTank.class))
        {
            eat(ArmadilloTank.class);
            Greenfoot.playSound("ANISH.wav");
        }  
    }    

    private void shoot()
    {
        if (counter == 0)
        {
            AntWithFood ant = new AntWithFood();
            ant.setRotation(getRotation());
            getWorld().addObject(ant, getX(), getY());   
            counter = 36;
        }
    }

    private void space()
    {
        if(Greenfoot.isKeyDown("space")) {
            shoot();
        }
    }    

    private void keyLeft()
    {
        if(Greenfoot.isKeyDown("a")) {
            turnLeft();    
        }    
    }

    private void keyRight()
    {
        if(Greenfoot.isKeyDown("d")) {
            turnRight();    
        }    
    }

    private void keyUp()
    {
        if(Greenfoot.isKeyDown("w")) {
            move(-5);    
        }    
    }

    private void keyDown()
    {
        if(Greenfoot.isKeyDown("s")) {
            move();    
        }    
    }

    private void key()
    {
        keyUp();
        keyRight();
        keyLeft();
        keyDown();
    }

    private void turnLeft()
    {
        turn (-5);
    }   

    private void turnRight()
    {
        turn (5);
    }
   
}

