import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class ArmadilloTank here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class ArmadilloTank extends Animal
{
    private int counter = 36;
    /**
     * Act - do whatever the ArmadilloTank wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        key();
        space();
        collision();
        if (counter > 0 )
        {
            counter --;
        }
    }

    private void collision()
    {
        if (canSee(M1ABRAMS.class))
        {
            eat(M1ABRAMS.class);
            Greenfoot.playSound("ANISH.wav");
        }  
    }    

    private void shoot()
    {
        if (counter == 0)
        {
            Ant ant = new Ant();
            ant.setRotation(getRotation());
            getWorld().addObject(ant, getX(), getY());    
            counter = 36;
        }
    }

    private void space()
    {
        if(Greenfoot.isKeyDown("/")) {
            shoot();
        }
    }    

    private void keyLeft()
    {
        if(Greenfoot.isKeyDown("left")) {
            turnLeft();    
        }    
    }

    private void keyRight()
    {
        if(Greenfoot.isKeyDown("right")) {
            turnRight();    
        }    
    }

    private void keyUp()
    {
        if(Greenfoot.isKeyDown("down")) {
            move(-5);    
        }    
    }

    private void keyDown()
    {
        if(Greenfoot.isKeyDown("up")) {
            move();    
        }    
    }

    private void key()
    {
        keyUp();
        keyRight();
        keyLeft();
        keyDown();
    }

    private void turnLeft()
    {
        turn (-5);
    }   

    private void turnRight()
    {
        turn (5);
    }
}
